<script lang="ts">
  import World from '$world/World.svelte';
  import Explore from './home/components/Explore.svelte';
  import Popular from './home/components/Popular.svelte';
  import Trending from './home/components/Trending.svelte';
  import Upcoming from './home/components/Upcoming.svelte';
  import Section from '~/components/Section.svelte';
</script>

<svelte:head>
  <title>Home</title>
  <meta
    name="description"
    content="Svelte demo app" />
</svelte:head>

<div class="gradient-bg" />
<World />
<Explore />
<section class="list">
  <span><Trending /></span>
  <span><Popular /></span><span><Upcoming /></span>
</section>

<style lang="postcss">
  .gradient-bg {
    position: absolute;
    top: calc(100vh - 13%);
    bottom: 0;
    width: 100%;
    height: 300px;
    background: var(--bg-color);
    background: linear-gradient(
      0deg,
      rgb(0 182 232 / 0%) 5%,
      rgb(0 182 232 / 100%) 30%,
      rgb(0 182 232 / 100%) 70%,
      rgb(0 182 232 / 0%) 95%
    );
  }

  section {
    position: relative;
  }

  @media (width >= 768px) {
    .gradient-bg {
      top: calc(100vh - 25%);
    }

    .list {
      display: grid;
      margin: var(--content-margin);
      grid-template-columns: repeat(5, 1fr);

      & :first-child {
        grid-area: 1 / 1 / 2 / 3;
      }

      & :nth-child(2) {
        grid-area: 1 / 3 / 2 / 5;
      }

      & :nth-child(3) {
        grid-area: 1 / 5 / 2 / 6;
      }
    }
  }
</style>
